summaryrefslogtreecommitdiffstats
path: root/libraries/libvpx
diff options
context:
space:
mode:
author Matteo Bernardini2010-06-18 00:52:49 +0200
committer Erik Hanson2010-06-18 01:13:16 +0200
commit6ae9db3e7304ab81dcb968a680938b1205d80e11 (patch)
tree8eae4bf1eedb01c7d87baddce649ed32faaec347 /libraries/libvpx
parent61e3a26c657485a14eeabf448a77efa22c67e971 (diff)
downloadslackbuilds-6ae9db3e7304ab81dcb968a680938b1205d80e11.tar.gz
libraries/libvpx: Added. This is the WebM VP8 SDK.
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
Diffstat (limited to 'libraries/libvpx')
-rw-r--r--libraries/libvpx/README3
-rw-r--r--libraries/libvpx/libvpx.SlackBuild93
-rw-r--r--libraries/libvpx/libvpx.info10
-rw-r--r--libraries/libvpx/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/libraries/libvpx/README b/libraries/libvpx/README
new file mode 100644
index 0000000000..2a2c085eea
--- /dev/null
+++ b/libraries/libvpx/README
@@ -0,0 +1,3 @@
+VP8 is an open video codec, originally developed by On2 and released
+as open source by Google Inc. It is the successor of the VP3 codec,
+on which the Theora codec was based.
diff --git a/libraries/libvpx/libvpx.SlackBuild b/libraries/libvpx/libvpx.SlackBuild
new file mode 100644
index 0000000000..0449b265ca
--- /dev/null
+++ b/libraries/libvpx/libvpx.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for libvpx
+
+# Written by Matteo Bernardini <matteo.bernardini {at} sns.it>
+# based on slackbuilds.org default autotools-template
+
+# Modified by SlackBuilds.org
+
+PRGNAM=libvpx
+VERSION=${VERSION:-0.9.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ ARCHOPTS="--target=x86-linux-gcc"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ ARCHOPTS="--target=x86-linux-gcc"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ ARCHOPTS="--target=x86_64-linux-gcc --enable-pic"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ ARCHOPTS="--target=${ARCH}-linux-gcc"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# out of tree build
+mkdir build-tmp
+cd build-tmp
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ../configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-debug-libs \
+ --disable-debug \
+ --enable-postproc \
+ --enable-vp8 \
+ --enable-shared \
+ $ARCHOPTS
+
+ make
+ make install DESTDIR=$PKG
+cd -
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGELOG LICENSE PATENTS README build-tmp/docs/html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/libraries/libvpx/libvpx.info b/libraries/libvpx/libvpx.info
new file mode 100644
index 0000000000..127dc59c14
--- /dev/null
+++ b/libraries/libvpx/libvpx.info
@@ -0,0 +1,10 @@
+PRGNAM="libvpx"
+VERSION="0.9.1"
+HOMEPAGE="http://www.webmproject.org/"
+DOWNLOAD="http://webm.googlecode.com/files/libvpx-0.9.1.tar.bz2"
+MD5SUM="e1442e74d0cca228785083fa520735a2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="matteo.bernardini {at} sns.it"
+APPROVED="pprkut"
diff --git a/libraries/libvpx/slack-desc b/libraries/libvpx/slack-desc
new file mode 100644
index 0000000000..e64da691dc
--- /dev/null
+++ b/libraries/libvpx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libvpx: libvpx (VP8 video codec)
+libvpx:
+libvpx: VP8 is an open video codec, originally developed by On2 and released
+libvpx: as open source by Google Inc. It is the successor of the VP3 codec,
+libvpx: on which the Theora codec was based.
+libvpx:
+libvpx: Homepage: http://www.webmproject.org/
+libvpx:
+libvpx:
+libvpx:
+libvpx: